Get Region Capabilities

Get Region Capabilities
It lists the capabilities supported by the Region based on the underlying vCenter and supervisors and other factors that decide whether a feature capability is supported or not.

It lists the capabilities supported by the Region based on the underlying vCenter and supervisors and other factors. These capabilities cannot be edited.

Request
URI
GET
https://{api_host}/cloudapi/v1/regions/{regionUrn}/capabilities
COPY
Path Parameters
string
regionUrn
Required

regionUrn

Query Parameters
integer
page
Required
Constraints: minimum: 1 default: 1

Page to fetch, zero offset.

integer
pageSize
Required
Constraints: minimum: 0 maximum: 128 default: 25

Results per page to fetch.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Capabilities of type(s) application/json;version=9.1.0
This response body class contains all of the following: Page , InlineCapabilities1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "name": "string",
            "description": "string",
            "value": {},
            "type": "string",
            "category": "string",
            "settings": {
                "settings": {}
            }
        }
    ]
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/regions/{regionUrn}/capabilities?page=value&pageSize=v